## golang-github-minio-minio-go 4.0.5

=== Makefile ===
all: checks

checks:
	@go get -u github.com/go-ini/ini/...
	@go get -u github.com/mitchellh/go-homedir/...
	@go get -u github.com/cheggaaa/pb/...
	@go get -u github.com/sirupsen/logrus/...
	@go get -u github.com/dustin/go-humanize/...
	@go vet ./...
	@SERVER_ENDPOINT=play.minio.io:9000 ACCESS_KEY=Q3AM3UQ867SPQQA43P2F SECRET_KEY=zuf+tfteSlswRu7BJ86wekitnifILbZam1KYY3TG ENABLE_HTTPS=1 go test -race -v ./...
	@SERVER_ENDPOINT=play.minio.io:9000 ACCESS_KEY=Q3AM3UQ867SPQQA43P2F SECRET_KEY=zuf+tfteSlswRu7BJ86wekitnifILbZam1KYY3TG ENABLE_HTTPS=1 go run functional_tests.go
	@mkdir -p /tmp/examples && for i in $(echo examples/s3/*); do go build -o /tmp/examples/$(basename ${i:0:-3}) ${i}; done
	@go get -u github.com/a8m/mark/...
	@go get -u github.com/minio/cli/...
	@go get -u golang.org/x/tools/cmd/goimports
	@go get -u github.com/gernest/wow/...
	@go build docs/validator.go && ./validator -m docs/API.md -t docs/checker.go.tpl

## golang-github-minio-minio-go 2.0.1

=== debian/changelog ===
golang-github-minio-minio-go (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #831837).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Jul 2016 13:42:58 +1000

=== debian/control ===
Source: golang-github-minio-minio-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.8
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-minio-minio-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-minio-minio-go.git
XS-Go-Import-Path: github.com/minio/minio-go

Package: golang-github-minio-minio-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: Go library for Amazon S3 compatible cloud storage
 Golang library for Amazon S3 compatible cloud storage

## golang-github-minio-minio-go 2.0.2

=== debian/changelog ===
golang-github-minio-minio-go (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * restore dh-make-golang default gbp.conf
  * increase debian/compat to 10
  * update debian/control
  * improve package description

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 07 Dec 2016 17:46:18 +0100

=== debian/control ===
Source: golang-github-minio-minio-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 3.9.8
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-minio-minio-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-minio-minio-go.git
XS-Go-Import-Path: github.com/minio/minio-go

Package: golang-github-minio-minio-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Go library for Amazon S3 compatible cloud storage
 The Minio Golang Client SDK provides simple APIs to access any Amazon S3
 compatible object storage server.

## golang-github-minio-minio-go 3.0.0

=== debian/changelog ===
golang-github-minio-minio-go (3.0.0-1) unstable; urgency=medium

  * gbp.conf: remove merge = false for idiomatic repository layout
  * New upstream version 3.0.0
  * Experimental to unstable, as the freeze is over

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 21 Jul 2017 08:05:09 +0200

golang-github-minio-minio-go (2.1.0-1) experimental; urgency=medium

  * New upstream version 2.1.0
  * avoid tests which access to s3.amazonaws.com with '-short' flag

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 17 May 2017 11:20:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-any
+               golang-any,
+               golang-github-go-ini-ini-dev,
+               golang-github-mitchellh-go-homedir-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-minio-minio-go.git
@@ -15,7 +17,9 @@
 Package: golang-github-minio-minio-go-dev
 Architecture: all
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         golang-github-go-ini-ini-dev,
+         golang-github-mitchellh-go-homedir-dev
 Description: Go library for Amazon S3 compatible cloud storage
  The Minio Golang Client SDK provides simple APIs to access any Amazon S3
  compatible object storage server.

## golang-github-minio-minio-go 4.0.5

=== debian/changelog ===
golang-github-minio-minio-go (4.0.5-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:15:38 -0500

golang-github-minio-minio-go (4.0.5-2) unstable; urgency=medium

  * Team upload.
  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:53:25 -0500

golang-github-minio-minio-go (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * remove go-homedir patch (upstream now uses github.com/mitchellh/go-homedir)
  * move to salsa.debian.org
  * update Standards-Version to 4.1.3
    - use priority optional instead of extra
    - use https URL in copyright file

 -- Félix Sipma <felix+debian@gueux.org>  Fri, 05 Jan 2018 11:29:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-minio-minio-go
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
 Build-Depends: debhelper (>= 10),
@@ -8,10 +8,10 @@
                golang-any,
                golang-github-go-ini-ini-dev,
                golang-github-mitchellh-go-homedir-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/minio/minio-go
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-minio-minio-go.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-minio-minio-go.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git
 XS-Go-Import-Path: github.com/minio/minio-go
 
 Package: golang-github-minio-minio-go-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

# Required for tests:
export DH_GOLANG_INSTALL_EXTRA := ./pkg/credentials/config.json.sample ./pkg/credentials/credentials.sample

%:
	dh $@ --buildsystem=golang --with=golang
override_dh_auto_test:
	# set -short param to avoid tests that access to s3.amazonaws.com
	# api_functional_v4_test.go is needed for other tests to run
	dh_auto_test -- -short

## golang-github-minio-minio-go 6.0.1

=== debian/changelog ===
golang-github-minio-minio-go (6.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Adjust dependency version on golang-golang-x-crypto-dev.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Sep 2018 15:50:50 +0200

golang-github-minio-minio-go (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
    + golang-golang-x-crypto-dev
    + golang-golang-x-net-dev
  * Standards-Version: 4.1.4.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 Jun 2018 09:46:06 +1000

=== debian/control ===
Source: golang-github-minio-minio-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>, Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
    ,golang-github-go-ini-ini-dev
    ,golang-github-mitchellh-go-homedir-dev
    ,golang-golang-x-crypto-dev (>= 1:0.0~git20180513)
    ,golang-golang-x-net-dev
Standards-Version: 4.1.4
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git
XS-Go-Import-Path: github.com/minio/minio-go

Package: golang-github-minio-minio-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,golang-github-go-ini-ini-dev
    ,golang-github-mitchellh-go-homedir-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev
Description: Go library for Amazon S3 compatible cloud storage
 The Minio Golang Client SDK provides simple APIs to access any Amazon S3
 compatible object storage server.

## golang-github-minio-minio-go 6.0.11

=== debian/changelog ===
golang-github-minio-minio-go (6.0.11-2) unstable; urgency=medium

  * fix messing up in upstream & pristine-tar branches

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 08 Dec 2018 10:31:59 +0100

golang-github-minio-minio-go (6.0.11-1) unstable; urgency=medium

  * New upstream version 6.0.11 (Closes: #915838)
  * bump Standards-Version to 4.2.1 (no change required)

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 08 Dec 2018 10:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>, Sascha Steinbiss <satta@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any
     ,golang-github-go-ini-ini-dev
     ,golang-github-mitchellh-go-homedir-dev
-    ,golang-golang-x-crypto-dev (>= 1:0.0~git20180513)
+    ,golang-golang-x-crypto-dev
     ,golang-golang-x-net-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git

## golang-github-minio-minio-go 6.0.43

=== debian/changelog ===
golang-github-minio-minio-go (6.0.43-1) unstable; urgency=medium

  * New upstream version 6.0.43
  * add golang-github-minio-sha256-simd-dev and
    golang-gopkg-ini.v1-dev to build dependencies

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 23 Nov 2019 20:49:28 +0100

=== debian/control ===
Source: golang-github-minio-minio-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
Build-Depends: debhelper (>= 10),
 dh-golang,
 golang-any,
 golang-github-go-ini-ini-dev,
 golang-github-minio-sha256-simd-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-gopkg-ini.v1-dev
Standards-Version: 4.2.1
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git
XS-Go-Import-Path: github.com/minio/minio-go

Package: golang-github-minio-minio-go-dev
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 golang-github-go-ini-ini-dev,
 golang-github-minio-sha256-simd-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-gopkg-ini.v1-dev
Description: Go library for Amazon S3 compatible cloud storage
 The Minio Golang Client SDK provides simple APIs to access any Amazon S3
 compatible object storage server.

## golang-github-minio-minio-go 6.0.44

=== debian/changelog ===
golang-github-minio-minio-go (6.0.44-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1
  * Testsuite: autopkgtest-pkg-go
  * DH to version 12

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Dec 2019 11:27:15 +1100

## golang-github-minio-minio-go 6.0.45

=== debian/changelog ===
golang-github-minio-minio-go (6.0.45-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2020 12:29:52 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Félix Sipma <felix+debian@gueux.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  dh-golang,
  golang-any,
  golang-github-go-ini-ini-dev,
@@ -12,11 +12,12 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-gopkg-ini.v1-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git
 XS-Go-Import-Path: github.com/minio/minio-go
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-minio-minio-go-dev
 Architecture: all

## golang-github-minio-minio-go 6.0.53

=== debian/changelog ===
golang-github-minio-minio-go (6.0.53-1) unstable; urgency=medium

  * New upstream release.
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Disabled failing "TestIAMMalformedEndpoint" (Closes: #954606).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Apr 2020 14:54:57 +1000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-gopkg-ini.v1-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go.git
 XS-Go-Import-Path: github.com/minio/minio-go
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-minio-minio-go-dev
 Architecture: all

=== debian/watch ===
version=3

 https://github.com/minio/minio-go/releases \
 .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz
